#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		perl_vendorarch	 %{_datadir}/perl5/core_perl/x86_64-linux
#-----------------------------------------------------------------------------
Name		:	perl-PlRPC
Version		:	0.2020
Release		:	17.0.10.rel%{?dist}
Summary		:	Perl interface for writing PlRPC clients and servers
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/RPC::PlServer

Source0		:	%{sname}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#-----------------------------------------------------------------------------
BuilDRequires	:	perl

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
PlRPC (Perl RPC) is a package for implementing servers and clients that
are written in Perl entirely. The name is borrowed from Sun's RPC
(Remote Procedure Call), but it could as well be RMI like Java's "Remote
Method Interface), because PlRPC gives you the complete power of Perl's
OO framework in a very simple manner.

RPC::PlServer is the package used on the server side, and you guess what
RPC::PlClient is for. Both share the package RPC::PlServer::Comm for
communication purposes. See PlRPC::Client(3) and RPC::PlServer::Comm for
these parts.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc ChangeLog README
%{_datadir}/perl5/core_perl/Bundle/%{sname}.pm
%{_datadir}/perl5/core_perl/RPC/*
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog
